TKN-HUB-CHECK-UPGRADE-TASK(1)

NAME

tkn-hub-check-upgrade-task - Check updates for Task installed via Hub CLI

SYNOPSIS

tkn hub check-upgrade task

DESCRIPTION

Check updates for Task installed via Hub CLI

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'HUB_API_SERVER'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

EXAMPLE

Check for Upgrades of Task installed via Tekton Hub CLI:

    tkn hub check-upgrades task

The above command will check for upgrades of Tasks installed via Tekton Hub CLI and will skip the Tasks which are not installed by Tekton Hub CLI.

NOTE: If Pipelines version is unknown it will show the latest version available else it will show latest compatible version.

SEE ALSO

tkn-hub-check-upgrade(1)